*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:'Cairo', sans-serif;
}

body{
    background:#f1f1f1;
    min-height:100vh;
    overflow-x:hidden;
}

/* TOP BG */
.top-bg{
    width:100%;
    height:120px;
    background:#f5d400;
    position:absolute;
    top:0;
    left:0;
}
.badge {
    padding: 20px;
    border-radius: 15px;
    margin-bottom: 15px;
    text-align: center;
    font-weight: bold;
    font-size: 24px;
}
.success{
    background-color: #89ec89b0;
}
.error{
    background-color: #ec8989b0;
}

/* CONTAINER */
.form-container{
    width:92%;
    max-width:900px;
    background:#fafafa;
    margin:50px auto;
    border-radius:25px;
    padding:80px 30px 30px;
    position:relative;
}

/* LOGO */
.logo-box{
    width:100px;
    height:100px;
    background:#f5d400;
    border-radius:18px;
    position:absolute;
    top:-35px;
    left:50%;
    transform:translateX(-50%);
    overflow:hidden;
}

.logo-box img{
    width:100%;
    height:100%;
    object-fit:cover;
}

/* TITLE */
.title{
    text-align:center;
    font-size:32px;
    font-weight:800;
    margin-bottom:5px;
    color:#111;
}

.subtitle{
    text-align:center;
    color:#777;
    font-size:14px;
    margin-bottom:35px;
}

/* FORM GROUP */
.form-group{
    margin-bottom:20px;
}

/* LABEL */
.label-box{
    display:flex;
    align-items:center;
    justify-content:space-between;
    margin-bottom:8px;
}

.label-box label{
    font-size:16px;
    font-weight:700;
    color:#111;
}

/* ICON */
.icon{
    width:42px;
    height:42px;
    border-radius:10px;
    background:#ffe36a;
    display:flex;
    align-items:center;
    justify-content:center;
    font-size:15px;
}

/* INPUTS */
input,
textarea,
select{
    width:100%;
    border:1px solid #e3e3e3;
    background:#fff;
    border-radius:14px;
    padding:14px 16px;
    font-size:14px;
    outline:none;
    transition:0.3s;
}

input:focus,
textarea:focus,
select:focus{
    border-color:#f5d400;
}

textarea{
    min-height:120px;
    resize:none;
}

/* PHONE */
.phone-input{
    display:flex;
    gap:10px;
}

.phone-input select{
    width:90px;
    flex-shrink:0;
}

/* UPLOAD */
.upload-box{
    display:block;
    border:1px dashed #d9d9d9;
    border-radius:18px;
    padding:28px 15px;
    text-align:center;
    background:#fff;
    cursor:pointer;
    transition:0.3s;
}

.upload-box:hover{
    border-color:#f5d400;
}
.upload-box.active{
    border-color:#f5d400;
    background:#fffbe6;
}

.upload-box.active .upload-icon{
    background-color:#f5d400;
    color:#fff;
}

.upload-box.active .upload-title{
    color:#f5d400;
}

.upload-box.active .upload-desc{
    color: #000000;
    font-weight: bold;
}
/* UPLOAD ICON */
.upload-icon{
    width:55px;
    height:55px;
    background:#fafafa;
    border-radius:50%;
    margin:auto;
    display:flex;
    align-items:center;
    justify-content:center;
    font-size:18px;
    margin-bottom:12px;
}

/* UPLOAD TEXT */
.upload-title{
    font-size:16px;
    font-weight:700;
    color:#111;
    margin-bottom:4px;
}

.upload-desc{
    font-size:12px;
    color:#888;
}

/* RECORD */
.record-box{
    border:1px dashed #d9d9d9;
    border-radius:18px;
    padding:25px;
    text-align:center;
    background:#fff;
}

.record-btn{
    border:none;
    padding:12px 18px;
    border-radius:10px;
    font-size:13px;
    cursor:pointer;
    margin:5px;
    font-weight:700;
}

.start-btn{
    background:#f5d400;
    color:#111;
}

.stop-btn{
    background:#222;
    color:#fff;
    display: none;
}

#audioPreview{
    width:100%;
    margin-top:15px;
}

#recordStatus{
    margin-top:10px;
    color:#666;
    font-size:13px;
}

/* BUTTON */
.submit-btn{
    width:100%;
    height:55px;
    border:none;
    border-radius:14px;
    background:#f5d400;
    color:#111;
    font-size:18px;
    font-weight:800;
    cursor:pointer;
    transition:0.3s;
}

.submit-btn:hover{
    opacity:0.9;
}

.hidden-input{
    display:none;
}

/* MOBILE */
@media(max-width:768px){

    .form-container{
        width:95%;
        padding:70px 18px 25px;
    }

    .logo-box{
        width:85px;
        height:85px;
    }

    .title{
        font-size:24px;
    }

    .subtitle{
        font-size:13px;
    }

    .phone-input{
        flex-direction:column;
    }

    .phone-input select{
        width:100%;
    }

}